# Uses of Class
java.io.ObjectOutputStream

Packages that use ObjectOutputStream
Package
Description
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.beans.beancontext
Provides classes and interfaces relating to bean context.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of ObjectOutputStream in java.awt

Methods in java.awt with parameters of type ObjectOutputStream
Modifier and Type
Method
Description
`protected static void`
AWTEventMulticaster.`save(ObjectOutputStream s, String k, EventListener l)`
Saves a Serializable listener chain to a serialization stream.
`protected void`
AWTEventMulticaster.`saveInternal(ObjectOutputStream s, String k)`
Serialization support.

## Uses of ObjectOutputStream in java.beans.beancontext

Methods in java.beans.beancontext with parameters of type ObjectOutputStream
Modifier and Type
Method
Description
`protected void`
BeanContextServicesSupport.`bcsPreSerializationHook(ObjectOutputStream oos)`
Deprecated, for removal: This API element is subject to removal in a future version.
called from BeanContextSupport writeObject before it serializes the children ...
`protected void`
BeanContextSupport.`bcsPreSerializationHook(ObjectOutputStream oos)`
Deprecated, for removal: This API element is subject to removal in a future version.
called by writeObject after defaultWriteObject() but prior to serialization of currently serializable children.
`protected final void`
BeanContextSupport.`serialize(ObjectOutputStream oos, Collection<?> coll)`
Deprecated, for removal: This API element is subject to removal in a future version.
Used by writeObject to serialize a Collection.
`final void`
BeanContextSupport.`writeChildren(ObjectOutputStream oos)`
Deprecated, for removal: This API element is subject to removal in a future version.
Used to serialize all children of this `BeanContext`.

## Uses of ObjectOutputStream in javax.swing.text

Methods in javax.swing.text with parameters of type ObjectOutputStream
Modifier and Type
Method
Description
`void`
StyleContext.`writeAttributes(ObjectOutputStream out, AttributeSet a)`
Context-specific handling of writing out attributes
`static void`
StyleContext.`writeAttributeSet(ObjectOutputStream out, AttributeSet a)`
Writes a set of attributes to the given object stream for the purpose of serialization.